package ${basePackage}.${packageName}.domain.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

<#if (hasDate gt 0)>
import java.util.Date;
</#if>

/**
 * @title: ${tableComments}数据库对应关系类
 * @description: PO中的属性与数据表是一一对应关系，如需根据业务处理不同，请使用BO对象。
 * @company:hugeinfo
 * @author: ${author}
 * @time: ${createTime}
 * @version ${version}
 */
@TableName(value = "${tableName}")
@Data
public class ${className} {

<#list cols as col>
    <#if (col.name=="id")>
    /**
    * ${col.comments}
    */
    @TableId(value = "id")
    private <#if (col.dataType=="number" && (col.dataScale)?? && col.dataScale gt 0)>Long<#else>${col.javaDataType}</#if> ${col.fieldName};

    </#if>
    <#if (col.name!="id" && col.name!="delete_status")>
    /**
    * ${col.comments}
    */
    @TableField(value = "${col.name}")
    private <#if (col.dataType=="number" && (col.dataScale)?? && col.dataScale gt 0)>Long<#else>${col.javaDataType}</#if> ${col.fieldName};

    </#if>
    <#if (col.name=="delete_status")>
    /**
    * ${col.comments}
    */
    @TableLogic
    @TableField(value = "delete_status")
    private <#if (col.dataType=="number" && (col.dataScale)?? && col.dataScale gt 0)>Long<#else>${col.javaDataType}</#if> ${col.fieldName};

    </#if>
</#list>
}
